低危 net-snmp up to 5.7 table_container.c _set_key UDP Packet 拒绝服务漏洞

CVE编号

CVE-2018-18065

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-10-09
漏洞描述
5.8之前的Net-SNMP中的agent / helpers / table_container.c中的_set_key具有NULL指针异常错误,经过身份验证的攻击者可以使用该错误远程导致实例通过精心制作的UDP数据包崩溃,从而导致拒绝服务。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 net-snmp net-snmp * Up to
(excluding)
5.8
运行在以下环境
应用 netapp cloud_backup - -
运行在以下环境
应用 netapp hyper_converged_infrastructure - -
运行在以下环境
应用 netapp storagegrid_webscale - -
运行在以下环境
系统 canonical ubuntu_linux 12.04 -
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
运行在以下环境
系统 canonical ubuntu_linux 18.04 -
运行在以下环境
系统 canonical ubuntu_linux 18.10 -
运行在以下环境
系统 debian debian_linux 9.0 -
运行在以下环境
系统 debian_8 net-snmp * Up to
(excluding)
5.7.2.1+dfsg-1+deb8u1
运行在以下环境
系统 debian_9 net-snmp * Up to
(excluding)
5.7.3+dfsg-1.7+deb9u1
运行在以下环境
系统 fedora_28 net-snmp * Up to
(excluding)
5.8-3.fc28
运行在以下环境
系统 fedora_29 net-snmp * Up to
(excluding)
5.8-3.fc29
运行在以下环境
系统 netapp data_ontap - -
运行在以下环境
系统 netapp e-series_santricity_os_controller * From
(including)
11.0
Up to
(including)
11.5
运行在以下环境
系统 netapp solidfire_element_os - -
运行在以下环境
系统 opensuse_Leap_15.0 net-snmp * Up to
(excluding)
5.7.3-lp150.6.3.1
运行在以下环境
系统 opensuse_Leap_15.3 net-snmp * Up to
(excluding)
5.7.3-10.9.1
运行在以下环境
系统 opensuse_Leap_42.3 net-snmp * Up to
(excluding)
5.7.3-7.3.1
运行在以下环境
系统 paloaltonetworks pan-os * Up to
(including)
7.1.22
运行在以下环境
系统 paloaltonetworks pan-os * From
(including)
7.1.23
Up to
(including)
8.0.15
运行在以下环境
系统 paloaltonetworks pan-os * From
(including)
8.0.16
Up to
(including)
8.1.6
运行在以下环境
系统 sles_12 libsnmp30 * Up to
(excluding)
5.7.3-6.6
运行在以下环境
系统 sles_12_SP3 net-snmp * Up to
(excluding)
5.7.3-6.3.1
运行在以下环境
系统 suse_12_SP3 net-snmp * Up to
(excluding)
5.7.3-6.3.1
运行在以下环境
系统 ubuntu_14.04 net-snmp * Up to
(excluding)
5.7.2~dfsg-8.1ubuntu3.3
运行在以下环境
系统 ubuntu_14.04_lts net-snmp * Up to
(excluding)
5.7.2~dfsg-8.1ubuntu3.3
运行在以下环境
系统 ubuntu_16.04 net-snmp * Up to
(excluding)
5.7.3+dfsg-1ubuntu4.2
运行在以下环境
系统 ubuntu_16.04_lts net-snmp * Up to
(excluding)
5.7.3+dfsg-1ubuntu4.2
运行在以下环境
系统 ubuntu_18.04 net-snmp * Up to
(excluding)
5.7.3+dfsg-1.8ubuntu3.1
运行在以下环境
系统 ubuntu_18.04_lts net-snmp * Up to
(excluding)
5.7.3+dfsg-1.8ubuntu3.1
运行在以下环境
系统 ubuntu_18.10 net-snmp * Up to
(excluding)
5.7.3+dfsg-1.8ubuntu3.18.10.1
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况